Get Silo Metadata
curl --request GET \
--url https://api.jsonsilo.com/api/v1/manage/meta/{file_uuid} \
--header 'X-MAN-API: <api-key>'import requests
url = "https://api.jsonsilo.com/api/v1/manage/meta/{file_uuid}"
headers = {"X-MAN-API": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-MAN-API': '<api-key>'}};
fetch('https://api.jsonsilo.com/api/v1/manage/meta/{file_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file_name": "new db",
"file_uuid": "f1b9b1b4-0b1b-4b1b-8b1b-2b1b1b1b1b1b",
"created_at": "2024-12-07T12:52:28.094450+00:00",
"updated_at": "2024-12-07T12:52:28.094450+00:00",
"is_public": false,
"region_name": "api"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoint Examples
Get Silo Meta
API endpoint to retrieve the metadata of a silo.
GET
/
api
/
v1
/
manage
/
meta
/
{file_uuid}
Get Silo Metadata
Authorizations
The JSONSilo Manage API Key
Path Parameters
The Silo UUID, comprising 32 hexadecimal digits separated by 4 hyphens, totaling 36 characters.
Response
Successful Response
Silo name. The silo name will not affect development or any sensitive aspects.
Example:
"new db"
The Silo UUID, comprising 32 hexadecimal digits separated by 4 hyphens, totaling 36 characters.
Example:
"f1b9b1b4-0b1b-4b1b-8b1b-2b1b1b1b1b1b"
The date and time the silo was created in UTC.
Example:
"2024-12-07T12:52:28.094450+00:00"
The date and time the silo was last updated in UTC.
Example:
"2024-12-07T12:52:28.094450+00:00"
Silo access mode. If true, the silo is public; if false, the silo is private.
Example:
false
The region where your data will be stored.
Example:
"api"